Ultimate REMOVE thread (Remove unnecessary packages from Ubuntu Mate)


#1

-For a slim fast Ubuntu Mate system.-

Removes Thunderbird, LibreOffice, Printer and other stuff.

Be sure to create a complete backup with Acronis True Image, etc. before
remove packages to get a slender operating system.

sudo apt purge --remove --yes colord colord-data libcolord-dev liblcms2-dev
sudo apt purge --remove --yes yelp mate-user-guide ubuntu-mate-guide
sudo apt purge --remove --yes chromium-codecs-ffmpeg chromium-codecs-ffmpeg-extra
sudo apt purge --remove --yes python-cloudfiles dmz-cursor-theme mate-icon-theme-faenza bluez-tools bluez-cups
sudo apt purge --remove --yes apturl seahorse folder-color-common folder-color-caja
sudo apt purge --remove --yes ubuntu-report popularity-contest apport whoopsie translate 
sudo apt purge --remove --yes hexchat-python3 hexchat-plugins hexchat-perl
sudo apt purge --remove --yes youtube-dl vlc-plugin-notify firefox xul-ext-ubufox postfix postfix-sqlite libmail-sendmail-perl bsd-mailx
sudo apt purge --remove --yes caja-gtkhash gtkhash libb2-1 usbmount exfat-fuse ifuse ippusbxd libimobiledevice-utils
sudo apt purge --remove --yes jobs-admin mysql-common transmission-common transmission-gtk deja-dup deja-dup-caja
sudo apt purge --remove --yes xserver-xorg-input-synaptics xserver-xorg-input-synaptics-dev xserver-xorg-input-synaptics-dev-hwe-16.04
sudo apt purge --remove --yes xserver-xorg-input-synaptics-hwe-16.04 alsa-oss whoopsie whoopsie-preferences
sudo apt purge --remove --yes libwhoopsie-preferences0 libwhoopsie-preferences-dev libwhoopsie-dev kde-config-whoopsie
sudo apt purge --remove --yes gdbserver thunderbird thunderbird-dbg thunderbird-dev thunderbird-globalmenu thunderbird-gnome-support
sudo apt purge --remove --yes thunderbird-gnome-support thunderbird-gnome-support-dbg thunderbird-locale-mozsymbols thunderbird-mozsymbols thunderbird-testsuite
sudo apt purge --remove --yes xul-ext-gdata-provider xul-ext-lightning xul-ext-calendar-timezones gir1.2-rb-3.0 bluez bluez-btsco
sudo apt purge --remove --yes bluez-cups bluez-obexd bluez-tools libbluetooth-dev pulseaudio-module-bluetooth python-bluez bluez-dbg
sudo apt purge --remove --yes bluez-hcidump bluez-tests libkf5bluezqt-data libkf5bluezqt-dev libkf5bluezqt6 qml-module-org-kde-bluezqt
sudo apt purge --remove --yes printer-driver-pxljr printer-driver-c2esp printer-driver-ptouch printer-driver-sag-gdi printer-driver-all printer-driver-all-enforce
sudo apt purge --remove --yes printer-driver-brlaser printer-driver-c2050 printer-driver-c2esp printer-driver-cjet printer-driver-cups-pdf
sudo apt purge --remove --yes printer-driver-dymo printer-driver-escpr printer-driver-foo2zjs printer-driver-fujixerox
sudo apt purge --remove --yes printer-driver-gutenprint printer-driver-hpcups printer-driver-hpijs printer-driver-indexbraille printer-driver-m2300w
sudo apt purge --remove --yes printer-driver-min12xxw printer-driver-oki printer-driver-pnm2ppa printer-driver-postscript-hp
sudo apt purge --remove --yes libreoffice-style-elementary libreoffice-style-tango libreoffice-style-galaxy ure
sudo apt purge --remove --yes evolution evolution-common evolution-data-serverhythmboxr evolution-data-server-common evolution-data-server-dev
sudo apt purge --remove --yes evolution-data-server-doc evolution-data-server-online-accounts evolution-data-server-tests evolution-dev
sudo apt purge --remove --yes evolution-ews evolution-indicator evolution-plugin-bogofilter evolution-plugin-pstimport evolution-plugin-spamassassin
sudo apt purge --remove --yes evolution-plugins evolution-plugins-experimental evolution-rss libevolution libreoffice-evolution libsyncevolution0
sudo apt purge --remove --yes mail-notification-evolution syncevolution syncevolution-common syncevolution-dbus syncevolution-http
sudo apt purge --remove --yes syncevolution-libs syncevolution-libs-gnome syncevolution-libs-kde syncevolution-provider-goa xpra modem-manager-gui modem-manager-gui-help  
sudo apt purge --remove --yes rhythmbox-plugins librhythmbox-core10 rhythmbox rhythmbox-ampache rhythmbox-data rhythmbox-dev rhythmbox-doc rhythmbox-plugin-alternative-toolbar
sudo apt purge --remove --yes rhythmbox-plugin-cdrecorder rhythmbox-plugin-magnatune rhythmbox-plugin-zeitgeist rhythmbox-plugins
sudo apt purge --remove --yes libmysqlclient20 libqt4-sql-mysql tomboy duplicity empathy empathy-common 
sudo apt purge --remove --yes shotwell shotwell-common libsane-common libsane1 libsane-dev libsane-extras libsane-extras-common
sudo apt purge --remove --yes libsane-extras-dev libsane-hpaio gnome-video-effects gnome-video-effects-dev gnome-video-effects-extra gnome-video-effects-frei0r
sudo apt purge --remove --yes totem totem-common totem-plugins totem-plugins-extra python-zope.filerepresentation python3-uno
sudo apt purge --remove --yes python-brlapi python3-brlapi python3-cups python3-cupshelpers python-samba python-enchant python-apport
sudo apt purge --remove --yes libreoffice-avmedia-backend-gstreamer libreoffice-base-core libreoffice-calc libreoffice-common
sudo apt purge --remove --yes libreoffice-core libreoffice-draw  libreoffice-gnome libreoffice-gtk libreoffice-gtk2 libreoffice-gtk3 libreoffice-impress libreoffice-writer2xhtml
sudo apt purge --remove --yes libreoffice-math libreoffice-ogltrans libreoffice-pdfimport libreoffice-style-human libreoffice-writer libreoffice-writer2latex
sudo apt purge --remove --yes science-presentation example-content gnome-accessibility-themes gnome-contacts gnome-mahjongg gnome-mines
sudo apt purge --remove --yes gnome-orca gnome-screensaver gnome-screensaver-flags gnome-sudoku
sudo apt purge --remove --yes tlp tlp-rdw printer-driver-splix cups-bsd printer-driver-min12xxw 
sudo apt purge --remove --yes system-config-printer system-config-printer-udev system-config-printer-gnome system-config-printer-common
sudo apt purge --remove --yes geoclue geoclue-2.0 geoclue-examples geoclue-geonames geoclue-gsmloc geoclue-hostip geoclue-localnet geoclue-manual
sudo apt purge --remove --yes geoclue-nominatim geoclue-plazes geoclue-skyhook libgeoclue-2-dev libgeoclue-dev libgeoclue0 gir1.2-geoclue-2.0 geoclue-yahoo
sudo apt purge --remove --yes geoip-bin geoip-database geoip-database-extra golang-github-abh-geoip-dev golang-github-oschwald-geoip2-golang-dev
sudo apt purge --remove --yes golang-libgeoip-dev kamailio-geoip-modules kamailio-geoip2-modules libapache2-mod-geoip libgeoip-dev libnginx-mod-http-geoip
sudo apt purge --remove --yes libpam-geoip lighttpd-mod-geoip lua-geoip lua-geoip-dev opensips-geoip-module pdns-backend-geoip php-geoip proftpd-mod-geoip
sudo apt purge --remove --yes python-geoip python-geoip2 python-pygeoip python3-geoip python3-geoip2 python3-pygeoip syslog-ng-mod-geoip tclgeoip
sudo apt purge --remove --yes uwsgi-plugin-geoip banshee-extension-zeitgeistdataprovider gedit-plugin-zeitgeist gir1.2-zeitgeist-2.0 libzeitgeist-1.0-1
sudo apt purge --remove --yes libzeitgeist-1.0-1-dbg libzeitgeist-2.0-0 libzeitgeist-2.0-dev libzeitgeist-2.0-doc libzeitgeist-cil-dev libzeitgeist-dev
sudo apt purge --remove --yes libzeitgeist-doc libzeitgeist0.8-cil monodoc-zeitgeist-manual python-zeitgeist zeitgeist zeitgeist-core zeitgeist-datahub zeitgeist-explorer
sudo apt purge --remove --yes libmate-sensors-applet-plugin-dev libmate-sensors-applet-plugin0 mate-sensors-applet mate-sensors-applet-common mate-sensors-applet-nvidia
sudo apt purge --remove --yes apport-gtk apport-kde apport-noui apport-retrace apport-symptoms apport-valgrind dh-apport
sudo apt purge --remove --yes argonaut-samba fusiondirectory-plugin-samba fusiondirectory-plugin-samba-schema gadmin-samba gadmin-samba-dbg gosa-plugin-samba samba samba-common
sudo apt purge --remove --yes samba-common-bin samba-dev samba-dsdb-modules samba-testsuite samba-vfs-modules sambamba system-config-samba vlc-plugin-samba smbclient
sudo apt purge --remove --yes brltty brltty-x11 xbrlapi beep libavahi-compat-libdnssd1 indicator-datetime  xprobe
sudo apt purge --remove --yes ntpdate ntpsec-ntpdate ntpsec ntpstat ntpsec-doc ntp ntp-doc ntp ntp-doc sntp
sudo apt purge --remove --yes libcrypt-openssl-pkcs10-perl libcrypt-openssl-bignum-perl caja-seahorse 
sudo apt purge --remove --yes fonts-nanum fonts-indic fonts-beng fonts-gubbi fonts-knda fonts-gujr fonts-gujr-extra fonts-lohit-telu fonts-telu fonts-guru fonts-lohit-gujr
sudo apt purge --remove --yes fonts-lohit-guru fonts-lohit-knda fonts-mlym fonts-orya fonts-taml fonts-taml-tamu fonts-taml-tscu fonts-lohit-beng-assamese fonts-lohit-deva
sudo apt purge --remove --yes fonts-deva fonts-lohit-taml-classical edubuntu-fonts edubuntu-fonts emacs-intl-fonts fonts-3270 fonts-adf-accanthis fonts-adf-baskervald
sudo apt purge --remove --yes fonts-adf-berenis fonts-adf-gillius fonts-adf-ikarius fonts-adf-irianis fonts-adf-libris fonts-adf-mekanus fonts-adf-oldania fonts-adf-romande
sudo apt purge --remove --yes fonts-adf-switzera fonts-adf-tribun fonts-adf-universalis fonts-adf-verana fonts-aksharyogini2 fonts-alee fonts-ancient-scripts fonts-aoyagi-kouzan-t
sudo apt purge --remove --yes fonts-aoyagi-soseki fonts-arabeyes fonts-arkpandora fonts-arphic-bkai00mp fonts-bsmi00lp fonts-gbsn00lp fonts-gkai00mp fonts-ukai
sudo apt purge --remove --yes fonts-uming fonts-atarismall fonts-averia-gwf fonts-averia-sans-gwf fonts-averia-serif-gwf fonts-babelstone-han fonts-babelstone-modern
sudo apt purge --remove --yes fonts-baekmuk fonts-bebas-neue fonts-beteckna fonts-blankenburg fonts-bpg-georgian fonts-breip fonts-cabin fonts-cabinsketch fonts-cantarell
sudo apt purge --remove --yes fonts-cardo fonts-century-catalogue fonts-circos-symbols fonts-cmu fonts-comfortaa fonts-croscore fonts-crosextra-caladea
sudo apt purge --remove --yes libkf5sane-data libkf5sane-dev libkf5sane5 libksane-data pike7.8-sane pike8.0-sane python-sane python-sane-dbg python3-sane
sudo apt purge --remove --yes python3-sane-dbg sane sane-dbg sane-utils xsane xsane-common xsane-dbg libimage-sane-perl libghc-bindings-sane-dev libghc-bindings-sane-doc
sudo apt purge --remove --yes libghc-bindings-sane-prof libimage-sane-perl orca liborcania-dev liborcania1.1
sudo apt purge --remove --yes libffmpegthumbnailer4v5 ffmpegthumbnailer rfkill libhpmud0 hplip hplip-data hplip-doc hplip-gui unity-scope-chromiumbookmarks
sudo apt purge --remove --yes chromium-browser chromium-browser-l10n chromium-chromedriver chromium-lwn4chrome chromium-tt-rss-notifier chromium-ublock-origin
sudo apt purge --remove --yes chromium-bsu chromium-bsu-data mate-applets openvpn python3-netifaces mate-applets-common libcpufreq0 netplan netplan.io netplan ubuntu-minimal
sudo apt purge --remove --yes xserver-xorg-video-intel xserver-xorg-video-intel-dbg xserver-xorg-input-synaptics xserver-xorg-input-synaptics-dev librarian0 rarian-compat
sudo apt purge --remove --yes gnome-themes-standard gnome-themes-standard-data xarchiver file-roller p0f pmount nautilus-extension-brasero media-player-info
sudo apt purge --remove --yes libsnmp30 lm-sensors pcmciautils ureadahead librsync1 usb-creator-gtk usb-creator-common vlc-plugin-video-splitter a11y-profile-manager-indicator
sudo apt purge --remove --yes vlc-plugin-visualization golang-github-ubuntu-ubuntu-report-dev libnss-resolve cpuset libcpuset-dev libcpuset1 php7.2-enchant python3-enchant
sudo apt purge --remove --yes aspell libaspell-dev libraspell-ruby libraspell-ruby1.8 libraspell-ruby1.9.1 libtext-aspell-perl raspell libenchant-dev libenchant-voikko
sudo apt purge --remove --yes cl-speech-dispatcher libspeechd2 speech-dispatcher speech-dispatcher-audio-plugins speech-dispatcher-cicero speech-dispatcher-doc-cs speech-dispatcher-espeak
sudo apt purge --remove --yes speech-dispatcher-espeak-ng speech-dispatcher-festival speech-dispatcher-flite python3-speechd libspeechd-dev espeak-data espeak-ng-data
sudo apt purge --remove --yes espeak espeak-ng espeak-ng-espeak espeakedit espeakup gespeaker gstreamer1.0-espeak libespeak-dev libespeak-ng-dev libespeak-ng-libespeak-dev
sudo apt purge --remove --yes libespeak-ng-libespeak1 libespeak-ng1 python-espeak python3-espeak stardict-plugin-espeak libbrlapi0.6 xserver-xorg-input-void
sudo apt purge --remove --yes xserver-xorg-input-wacom python3-speechd libspeechd2 libcomerr2:i386 cups cups-ppdc
sudo apt purge --remove --yes libnm-gtk0 libnma0 libbluetooth3 psensor
sudo apt purge --remove --yes bluetooth gammaray-plugin-bluetooth gir1.2-gnomebluetooth-1.0 gnome-bluetooth indicator-bluetooth
sudo apt purge --remove --yes libbluetooth3-dbg libgnome-bluetooth-dev libgnome-bluetooth13 libnet-bluetooth-perl libqt5bluetooth5
sudo apt purge --remove --yes libqt5bluetooth5-bin qml-module-qtbluetooth

I take no responsibility if your system gets shot.

By trying around, this list was created by me. My Ubuntu Mate 18.04 runs stable without all this packages.
( I don't need this 'Software-/Packages')


#2

I have edited your post - added "--yes" for faster removal and code-formatting for pretty look.

But I do not understand how useful is a such system. Without NetworkManager it is offline system (or you need to set it up in /etc/network/interfaces).
It does not have Firefox, Thunderbird and LibreOffice, does not connect to nearby devices with Bluetooth, can't print anything as CUPS is removed.
But the positive moment is it is smaller than ubuntu-mate-core.


#3

Firefox is installed :wink: I don't need Bluetooth, Printer, LibreOffice etc.

I don't like the Network-Manager.
I had a lot of problems with it. So I kicked the Network-Manager out and removed him.

Here's my interfaces-config to get internet working without Network-Manager :wink: :slight_smile:

#/-/[email protected]#
auto lo
iface lo inet loopback

#/-/DHCP-#
auto eth0
iface eth0 inet dhcp
post-up /etc/network/if-up.d/[email protected]


#4

A automatic remove script wants to be nice :slight_smile: